<?php

namespace App\Http;

use Validator;
use App\Http\Response;

class Request
{
  public static function ValidateInput(\Illuminate\Http\Request $request, $rules) {
    $validation = Validator::make($request->all(), $rules);

    if ($validation->fails()) {
      $errs = implode(' ', $validation->getMessageBag()->all());
      throw new \App\Exceptions\AppException(422, $errs);
    }
  }
}