<?php

/**
 * Laravel - A PHP Framework For Web Artisans
 *
 * @package  Laravel
 * @author   Taylor Otwell <taylor@laravel.com>
 */

$uri = urldecode(
  parse_url($_SERVER['REQUEST_URI'], PHP_URL_PATH)
);

// This file allows us to emulate Apache's "mod_rewrite" functionality from the
// built-in PHP web server. This provides a convenient way to test a Laravel
// application without having installed a "real" web server software here.
if ($uri !== '/' && file_exists(__DIR__.'/public'.$uri)) {
  header('Access-Control-Allow-Headers: Origin, X-Requested-With, Content-Type, Accept, auth-token, Schema-Version, Server-Version, Client-Version, Client-Type');
  header('Access-Control-Allow-Origin: *');
  return false;
}

require_once __DIR__.'/public/index.php';
