import * as UserRole from '@/components/Auth/UserRole.js'

// Not restricted
export const None =
{
  requiresLogin: false,
  requiredRole: UserRole.Unknown,
};

// Read-only access for guests
export const Guest =
{
  requiresLogin: true,
  requiredRole: UserRole.Guest,
};

// Read-write access for operators
export const Operator =
{
  requiresLogin: true,
  requiredRole: UserRole.Operator,
};

// Full access for admins
export const Admin =
{
  requiresLogin: true,
  requiredRole: UserRole.Admin,
};