<?php

use Illuminate\Database\Seeder;

use App\User;

class UserTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        // create admin account
        \App\User::Create([
          'Id' => 0,
          'FullName' => 'Admin',
          'Email' => 'admin@example.com',
          'Address'=>'FAIR',
          'Password' => Hash::make('test'),
          'Role' => 1000,
          'Status' => 2,
          'CreatedAt' => now()->format('U'),
          'UpdatedAt' => now()->format('U'),
        ]);
    }
}
